package io.renren.modules.app.dao;

import java.util.List;
import io.renren.modules.app.entity.HPzEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.mapper.BaseMapper;

import io.renren.modules.app.entity.HKmEntity;
import io.renren.modules.app.entity.HKmlbEntity;
import io.renren.modules.app.entity.YeFseEntity;

/**
 * 余额及发生额表
 *
 * @author lj
 * @email 3499722281@qq.com
 * @date 2019-05-09 09:49:15
 */
@Mapper
public interface YeFseDao extends BaseMapper<YeFseEntity>{
	
	String jbh_1(@Param("jbh")String jbh,@Param("ztbm")String ztbm);
	
	String jbh_2(@Param("ztbm")String ztbm);
	
	String jbh_3(@Param("ztbm")String ztbm);
	
	List<HPzEntity> yeFseSelect_1(HPzEntity hPzEntity);
	
	List<YeFseEntity> yeFseSelect_2(YeFseEntity yeFseEntity);
	
	List<YeFseEntity> yeFseSelect_3(YeFseEntity yeFseEntity);
	
	List<YeFseEntity> yeFseSelect_4(YeFseEntity yeFseEntity);
	
	List<HKmlbEntity> select_kmlbbm1(@Param("kmlbbm")String kmlbbm,@Param("ztbm")String ztbm);
	
	List<HKmlbEntity> select_kmlbbm2(@Param("ztbm")String ztbm);
	
	List<HKmEntity> selectkm(HPzEntity hPzEntity);
}
